##----------------------------------------------------------------
## Shader Template.py
##----------------------------------------------------------------
import GameLogic
ObjectList = GameLogic.getCurrentScene().getObjectList()
# -------------------------------------
ShaderObjects = [ObjectList['OBCube']]
MaterialIndexList = [0]
##---------------------------------------------------------------
# ----------------------------------------------------------------
VertexShader = """
void main() {
    //shader
}
"""

FragmentShader = """
void main() {
    //shader
}
"""

def MainLoop ():
        for obj in ShaderObjects:
                mesh_index = 0
                mesh = obj.getMesh(mesh_index)
                while mesh != None:                       
                        # for each material in the mesh
                        for mat in mesh.materials:                               
                                if not hasattr(mat, "getMaterialIndex"):
                                        return
                                mat_index = mat.getMaterialIndex()
                                # find an index from the list                           
                                found = 0
                                for i in range(len(MaterialIndexList)):
                                        if mat_index == MaterialIndexList[i]:
                                                found=1
                                                break
                                if not found: continue
                                shader = mat.getShader()
                                if shader != None:                                                
                                        if not shader.isValid():
                                                shader.setSource(VertexShader, FragmentShader,1)
                                        # set uniforms          
                                        
                        mesh_index += 1
                        mesh = obj.getMesh(mesh_index)
## call it
MainLoop()
